#ifndef IP_PART_LINE_EDIT_H
#define IP_PART_LINE_EDIT_H

#include <QLineEdit>

class QWidget;
class QFocusEvent;
class QKeyEvent;

class IpPartLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    IpPartLineEdit(QWidget *parent = 0);
    ~IpPartLineEdit(void);

    void set_nexttab_edit(QLineEdit *nexttab) { next_tab_ = nexttab; }

protected:
    virtual void focusInEvent(QFocusEvent *e);
    virtual void keyPressEvent(QKeyEvent *event);  

private slots:
    void text_edited(const QString& text);

private:
    QLineEdit *next_tab_;

};

#endif // IP_PART_LINE_EDIT_H
